package com.qxgmat.data.constants.enums.trade;

/**
 * Created by gaojie on 2017/11/20.
 */
public enum PayChannel {
    OFFLINE("offline"),
    ALIPAY_QR("alipay_qr"),
    ALIPAY_APP("alipay_app"),
    WECHAT_QR("wechat_qr"),
    WECHAT_APP("wechat_app"),
    WECHAT_JS("wechat_js"),
    ;
    final static public String message = "支付渠道";

    public String key ;
    private PayChannel(String value){
        this.key = value;
    }

    public static PayChannel ValueOf(String name){
        if (name == null) return null;
        return PayChannel.valueOf(name.toUpperCase());
    }
}
